package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.BaseGgpFacility;
import com.usky.iot.domain.VcDevice;
import com.usky.common.mybatis.core.CrudService;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 视频配置信息表 服务类
 * </p>
 *
 * @author han
 * @since 2024-10-22
 */
public interface VcDeviceService extends CrudService<VcDevice> {
    List<VcDevice> VcDeviceList(Integer groupId);

    CommonPage<VcDevice> pageList(String videoNumber, String videoName, Integer groupId ,Integer pageNum, Integer pageSize);

    String getVcDeviceVideo(String deviceUuid);

    void stopDeviceVideo();

    boolean add(VcDevice vcDevice);

    void update(VcDevice vcDevice);

    boolean remove(Integer id);
}
